summaryrefslogtreecommitdiff
path: root/licensecheck
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2018-08-07 14:11:31 -0300
committerJesusaves <cpntb1@ymail.com>2018-08-07 14:11:31 -0300
commit20e69c29f9a63370574fa2d25acef3baf181ba3e (patch)
treed8276402265c9da9c4a52f02eb3bd01f3a382c4f /licensecheck
parent5e13aa2add42b5c3b800311bd32c55931eae0bd5 (diff)
downloadtools-20e69c29f9a63370574fa2d25acef3baf181ba3e.tar.gz
tools-20e69c29f9a63370574fa2d25acef3baf181ba3e.tar.bz2
tools-20e69c29f9a63370574fa2d25acef3baf181ba3e.tar.xz
tools-20e69c29f9a63370574fa2d25acef3baf181ba3e.zip
Final touches to license check
Diffstat (limited to 'licensecheck')
-rwxr-xr-xlicensecheck/checkfile.sh9
-rwxr-xr-xlicensecheck/clientdata.sh8
2 files changed, 10 insertions, 7 deletions
diff --git a/licensecheck/checkfile.sh b/licensecheck/checkfile.sh
index bb613aa..2de49fe 100755
--- a/licensecheck/checkfile.sh
+++ b/licensecheck/checkfile.sh
@@ -1,9 +1,12 @@
#!/usr/bin/env bash
-export name="$2"
+export name="$3"
export name=${name##../../client-data/}
-grep "$name " $1 >/dev/null
+grep "$name" $1 >/dev/null
if [ "$?" != 0 ]; then
- echo "Missing license for $name"
+ grep "$name " $2 >/dev/null
+ if [ "$?" != 0 ]; then
+ echo "Missing license for $name"
+ fi
fi
diff --git a/licensecheck/clientdata.sh b/licensecheck/clientdata.sh
index fa08409..b1c5fb5 100755
--- a/licensecheck/clientdata.sh
+++ b/licensecheck/clientdata.sh
@@ -2,8 +2,8 @@
export DIR="../../client-data"
-find -H $DIR -type f -name "*.png" -exec ./checkfile.sh $DIR/LICENSE {} \;
-find -H $DIR/sfx -type f -name "*.ogg" -exec ./checkfile.sh $DIR/LICENSE {} \;
-find -H $DIR -type f -name "*.tmx" -exec ./checkfile.sh $DIR/LICENSE {} \;
-find -H $DIR -type f -name "*.jpg" -exec ./checkfile.sh $DIR/LICENSE {} \;
+find -H $DIR -type f -name "*.png" -exec ./checkfile.sh $DIR/LICENSE $DIR/SAULC.txt {} \;
+find -H $DIR/sfx -type f -name "*.ogg" -exec ./checkfile.sh $DIR/LICENSE $DIR/SAULC.txt {} \;
+find -H $DIR -type f -name "*.tmx" -exec ./checkfile.sh $DIR/LICENSE $DIR/SAULC.txt {} \;
+find -H $DIR -type f -name "*.jpg" -exec ./checkfile.sh $DIR/LICENSE $DIR/SAULC.txt {} \;